Untitled

Click to show or hide information. The basics

Learn the basics

Clarify your ideas with diagrams

See how easy it is to create diagrams

Create diagrams using basic steps

Click to show or hide information. Diagram examples

Diagram examples

Flowcharts

Cross-functional flowcharts

Organization charts

Block diagrams

Office layouts

Marketing charts and diagrams

Directional maps

Timelines

Web diagrams

Logical network diagrams

Physical network diagrams

Floor plans

Site plans

Process engineering diagrams

Software diagrams

Database model diagrams

Click to show or hide information. Create a diagram

Create a diagram

Lesson 1: Begin a diagram

Lesson 2: Move and resize shapes

Lesson 3: Add text

Lesson 4: Connect shapes

Lesson 5: Format shapes

Lesson 6: Finish and use a diagram

Put it all together


Untitled

Getting Started

Home

Back

Next


Create a diagram

Play

Each lesson in Getting Started teaches you basic skills that you can use to create any diagram.

If you're new to Microsoft Visio products, you may need help getting started creating your diagrams. The lessons in Getting Started teach you the basic skills you need to create any simple Microsoft Visio diagram.

You can move through the lessons in Getting Started by clicking:

  • The Next and Back buttons at the top of the window.
  • The link at the bottom of each window.

Then, at the end of each lesson, you can put all you learn into action by creating a simple flowchart.

Begin Lesson 1: Begin a diagram.


Lesson 1: Begin a diagram

In this lesson, you learn how to:

one | Open a template.
two | Add shapes to your diagram.
three | Find more shapes for your diagram.
four | Put it all together.

You begin a Microsoft Visio diagram with a template—a file that opens one or more stencils that contain the shapes you need to build your diagram. After you open the template, add shapes to your diagram by dragging them from a stencil onto the drawing page. If you need other shapes, you can find them by opening other stencils or by using the Find Shape feature.

Continue with this lesson by learning how to open a template.


Lesson 2: Move and resize shapes

In this lesson, you learn how to:

one | Move shapes.
two | Resize shapes.
three | Zoom in on shapes.
four | Put it all together.

Rarely does anyone creating a diagram position shapes correctly right away. If you're like most Microsoft Visio users, you'll add some shapes to your diagram, and as you're working, you'll move the shapes around and resize them if necessary. As you're moving and resizing shapes, you may also need to zoom in so you can work with the shapes more easily.

Continue with this lesson by learning how to move shapes.


Lesson 3: Add text

In this lesson, you learn how to:

one | Add text to a shape.
two | Add independent text to a page.
three | Format text.
four | Put it all together.

You can add two types of text to a Microsoft Visio diagram—independent text and text associated with a shape. Independent text, such as a title or bulleted list, is an independent text block, not associated with any shape. Text associated with a shape, or text you type in a shape, moves with a shape. Adding both types of text is as easy as clicking and typing. And moving the text is as easy as clicking and dragging.

Continue with this lesson by learning how to add text to a shape.


Lesson 5: Format shapes

In this lesson, you learn how to:

one | Format a 2-D shape.
two | Format a 1-D shape.
three | Change the appearance of a shape using control handles.
four | Put it all together.

Formatting shapes in Microsoft Visio is as fast as click, click. Just click the shape, and then click a tool to change attributes, such as color, pattern, line thickness, and so on. You might use color to make particular shapes in a diagram stand out, or you could use line patterns or thickness to represent a specific type of information flow.

You can also change the appearance of a shape using control handles. For example, you can drag a control handle on a chair to rotate it, on a network shape to add branches, or on a pie chart to add slices.

Continue with this lesson by learning how to format a 2-D shape.


Lesson 4: Connect shapes

In this lesson, you learn how to:

one | Connect shapes using the Connector tool.
two | Connect shapes with connectors from a stencil.
three | Add text to connectors.
four | Put it all together.

Diagrams such as flowcharts, organization charts, block diagrams, network diagrams, and Web diagrams all have one thing in common: one-dimensional shapes, called connectors. Connectors connect the shapes in a diagram so that when you move one of the connected shapes, it stays connected. For example, when you move a flowchart shape, the connector moves with it.

Connectors can also represent relationships between shapes. For example, connectors in a flowchart represent a process flow. Connectors in an organization chart represent an organization's hierarchy. Connectors in a database model diagram represent the data flow.

Other times, a connector doesn't represent a relationship; it simply connects two shapes. For example, you can connect network equipment to a network rack. Then when you move the network rack, all the connected equipment moves with it—you don't have to move the equipment piece by piece.

Continue with this lesson by learning how to connect shapes using the Connector tool.


Lesson 6: Finish and use a diagram

In this lesson, you learn how to:

one | Preview and print your diagram.
two | Save your diagram as a Web page.
three | Use your diagram with Microsoft Office products.
four | Put it all together.

You've mastered the basic skills you need to create any Visio diagram, and now you need to know what you can do with your finished diagram. First you save it, of course, and then you can print it, save it in other file formats, or incorporate it into a Microsoft Word document, just to name a few examples.

Continue with this lesson by learning how to preview and print your diagram.


Put it all together

Play

Each lesson in Getting Started taught you basic skills that you can use to create any diagram.

You're done! You've completed all the lessons in Getting Started, and now you can create any basic Microsoft Visio diagram using Microsoft Visio Standard or Microsoft Visio Professional.

Click a lesson title below to review the steps you took during the lesson to create the flowchart for your manager.

Create a diagram

Click to show or hide information. Lesson 1: Begin a diagram

Play

You can add all the shapes you need for a simple diagram in minutes.

In Lesson 1, you began to create a flowchart with the Basic Flowchart template.

  1. To open the template, on the File menu, point to New, and then click Choose Drawing Type.
  2. Under Category, click Flowchart, and then, under Template, click Basic Flowchart.
  3. To begin adding shapes to your diagram, drag a Process shape onto the drawing page.
  4. Drag another Process shape onto the drawing page, and position it below the first Process shape.
  5. Drag a Decision shape onto the drawing page, and position it below the second Process shape.
  6. Drag a Predefined process shape onto the drawing page, and position it to the right of the Decision shape.
  7. Drag another Process shape onto the drawing page, and position it below the Decision shape.
  8. Drag a Terminator shape onto the drawing page, and position it below the last Process shape.

Click to show or hide information. Lesson 2: Move and resize shapes

Play

Zoom in, select one or more shapes, and then drag to move shapes in your diagram.

In Lesson 2, you refined your flowchart by zooming in on the shapes and moving them.

  1. To delete an unnecessary shape, click the last Process shape in your diagram (the one right above the Terminator shape), and then press the DELETE key.
  2. To work more precisely in your flowchart, zoom in on the shapes by holding down the CTRL+SHIFT keys while you drag around the shapes.
  3. To select all the shapes in your flowchart except the Terminator shape, click a blank area of the drawing page above and to the left of the first Process shape, and then drag around the Process, Decision, and Predefined process shapes to create a selection net.
  4. To move all the selected shapes, drag one of the selected shapes. Move the selected shapes down to fill in the gap left by the deleted shape.

All the selected shapes move at once. You can use the grid lines to snap the shapes in place.

  5. To check the overall look of your flowchart, press the CTRL+W keys to zoom out.

Click to show or hide information. Lesson 3: Add text

Play

You can associate text with a shape in a diagram or add independent text, such as a title.

In Lesson 3, you labeled the shapes in your flowchart and added a title to it.

  1. Click the first Process shape, and then type 1.
  2. Click the next Process shape, and then type 2.
  3. Click the Decision shape, and then type 3.
  4. Click the Predefined process shape, and then type A.
  5. Click the Terminator shape, and then type B.
  6. To select all the shapes in your flowchart, click somewhere above and to the left of the first Process shape, and then drag to create a selection net.

Microsoft Visio selects everything in the selection net.

  7. To change the text color for all the selected shapes, click the Text Color button [image] on the toolbar, and then choose the red color.
  8. To add a title to your flowchart, click the Text tool [image], and at the top of the drawing page, click and then type 123AB.

Click to show or hide information. Lesson 4: Connect shapes

Play

Connectors connect the shapes in a flowchart. Create connectors using the Connector tool or a shape from a stencil.

In Lesson 4, you connected the shapes in your flowchart to represent the department process flow.

  1. To begin connecting the shapes in your flowchart, click the Connector tool [image].

Note You may want to zoom in on the first two shapes you connect so you can see exactly what you're doing and make sure the shapes are connected.

  2. Place the Connector tool over the connection point [image] on the bottom of the first Process shape, and then drag to the connection point at the top of the second Process shape.

The connector endpoints turn red when the shapes are connected.

You began this flowchart with the Basic Flowchart template. By default, this template uses a line connector with an arrowhead, which is a style appropriate for flowcharts.

  3. Place the Connector tool over the connection point on the bottom of the second Process shape, and then drag to the connection point at the top of the Decision shape.
  4. Place the Connector tool over the connection point on the bottom of the Decision shape, and then drag to the connection point at the top of the Terminator shape.
  5. Place the Connector tool over the connection point on the right side of the Decision shape, and then drag to the connection point on the left side of the Predefined process shape.
  6. Place the Connector tool over the connection point on the bottom of the Predefined process shape, and then drag to the connection point on the right side of the Terminator shape.
  7. To add a connector from a stencil to your flowchart, drag the Line-curve connector from the Basic Flowchart Shapes stencil, and position it so the plain end of the connector connects to the connection point on the left side of the first Process shape.

The Line-curve connector endpoint turns red when it is connected to the Process shape. The other endpoint is still green because you haven't connected it to a shape yet.

  8. Drag the other end, or arrowhead end, of the Line-curve connector to the connection point on the left side of the Decision shape.
  9. To add text to two connectors in your flowchart, click the connector between the Decision and Predefined process shapes, and then type A. Click the connector between the Decision and Terminator shapes, and then type B.

Click to show or hide information. Lesson 5: Format shapes

Play

Formatting a shape is quick and easy when you use the formatting tools on the toolbar. Or drag a control handle to change the appearance of a shape.

In Lesson 5, you highlighted the decisions a supervisor needs to make in your department, and you downplayed the predefined department processes in your flowchart by formatting the shapes.

  1. To change the color of the Decision shape, click it, click the Fill Color button [image] on the toolbar, and then choose the green color.
  2. To change the line color in the Predefined process shape, click it, click the Line Color button [image] on the toolbar, and then choose a gray color.
  3. To decrease the distance between the inside lines of the Predefined process shape, drag the control handle [image] on the shape.
  4. To adjust the curve of the Line-curve connector shape, drag the control handle on the shape.
  5. To change the pattern of the Line-curve connector shape, click the shape, click the Line Pattern button [image] on the toolbar, and then select a dashed pattern.

Click to show or hide information. Lesson 6: Finish and use a diagram

Ways you can use your Visio diagram after it's finished

After you finish and save your diagram, you can show it to others in various formats.

In Lesson 6, you completed and saved your process flowchart. Then you incorporated it into a Microsoft Word document so your manager could use it as a visual aid in her interview documents.

  1. To save your flowchart, on the File menu, click Save As.
  2. In the File name box, type a file name, and then click Save.
  3. In the Properties dialog box, fill in any information you want, and then click OK.
  4. To select all the shapes in your flowchart, on the Edit menu, click Select All.
  5. To copy your flowchart, on the Edit menu, click Copy.
  6. Start Microsoft Word.
  7. Click the location where you want to insert your flowchart.
  8. To paste your flowchart into a document, on the Edit menu, click Paste.

Word pastes your flowchart into the document in the location you clicked.


Open a template

In this lesson, you learn how to:

one | Open a template.
two | Add shapes to your diagram.
three | Find more shapes for your diagram.
four | Put it all together.

When you start a diagram with a template, you automatically get all the shapes and tools you need to create your diagram. For example, when you open the Basic Flowchart template, you get the all the flowchart shapes and arrowhead line styles that you need to create a flowchart.

Open a template

  1. On the File menu, point to New, and then click Choose Drawing Type.
  2. Under Category, click a category, and then under Template, click a template.

Tip If you don't know which template to choose, click the Block Diagram category, and then click the Basic Diagram template to start out with. It opens the Basic Shapes stencil, which contains rectangles, circles, triangles, arrows, and so on—many of the basic shapes you might need to create any diagram.

Continue with this lesson by learning how to add shapes to your diagram.


Add shapes to your diagram

In this lesson, you learn how to:

one | Open a template.
two | Add shapes to your diagram.
three | Find more shapes for your diagram.
four | Put it all together.

After you open a template, the two most common ways to add shapes to your diagram are by dragging a shape from a stencil or by drawing a shape with the drawing tools. It really is that simple. And you don't need to position the shapes precisely right away—you can refine your diagram as you go.

Drag a shape from a stencil

  1. To show the shapes on a stencil, click the stencil title bar.
  2. Drag a shape from a stencil onto the drawing page.

Draw a shape using the drawing tools

  • Click any of the drawing tools, such as the Rectangle tool [image] or the Ellipse tool [image], and then drag to draw a shape on the drawing page.

Delete a shape from your diagram

  • Click the shape, and then press the DELETE key.

You can't drag a shape back onto a stencil to delete it.

Continue with this lesson by learning how to find more shapes for your diagram.


Find more shapes for your diagram

In this lesson, you learn how to:

one | Open a template.
two | Add shapes to your diagram.
three | Find more shapes for your diagram.
four | Put it all together.

Sometimes you can't find all the shapes you want on the stencils that the template opens. For example, when you open the Basic Flowchart template, it opens three stencils: Basic Flowchart Shapes, Backgrounds, and Borders and Titles. You'll find most of the shapes you need for a flowchart on these stencils, but you may want to add computer shapes to your flowchart. If so, you can search for the shape by name or just open a few stencils until you find the shape you want.

Open other stencils

  1. On the File menu, point to Stencils, and then click Open Stencil.
  2. Double-click a folder, and then double-click a stencil and look for the shape you want.

Find shapes when you don't know which stencil to open

  1. On the File menu, click Find Shape.

The Find Shape pane opens in the stencil area, to the left of the drawing page.

  2. In the Search For box, type one or more words that describe the shape you want.
  3. Click Go.
  4. When you find the shape you want, drag it from the Find Shape pane onto the drawing page.

To start a new search, in the Search For box, type different words.

Note To close a stencil or the Find Shape pane, right-click the title bar, and then, on the shortcut menu, click Close.

Now put everything you've learned in Lesson 1 into action.


Put it all together

In this lesson, you learn how to:

one | Open a template.
two | Add shapes to your diagram.
three | Find more shapes for your diagram.
four | Put it all together.

Imagine this: Your manager needs to hire another department supervisor. She has received many resumes from qualified applicants, and now she needs to assess their decision-making skills to find the right person for the job.

To help her do this, she wants a flowchart that represents a department process and highlights the decisions a supervisor needs to make along the way. It's your job to create this flowchart for her, so let's begin. Put all you've learned in Lesson 1 into action by beginning to create a flowchart with the Basic Flowchart template.

Begin your flowchart

  1. To open the template, on the File menu, point to New, and then click Choose Drawing Type.
  2. Under Category, click Flowchart, and then, under Template, click Basic Flowchart.
  3. To begin adding shapes to your diagram, drag a Process shape onto the drawing page.
  4. Drag another Process shape onto the drawing page, and position it below the first Process shape.
  5. Drag a Decision shape onto the drawing page, and position it below the second Process shape.
  6. Drag a Predefined process shape onto the drawing page, and position it to the right of the Decision shape.
  7. Drag another Process shape onto the drawing page, and position it below the Decision shape.
  8. Drag a Terminator shape onto the drawing page, and position it below the last Process shape.

Begin Lesson 2: Move and resize shapes.


Move shapes

In this lesson, you learn how to:

one | Move shapes.
two | Resize shapes.
three | Zoom in on shapes.
four | Put it all together.

Moving Microsoft Visio shapes is as easy as dragging a shape onto the drawing page. Usually, you move one shape at a time. However, there are situations in which it's quicker to move more than one shape at once. For example, you may want to move all the shapes in an office cubicle at once to reposition the cubicle.

Move one shape

  1. With the Pointer tool [image], click the shape to select it.
  2. Place the Pointer tool over the center of the shape.

The pointer changes to a four-headed arrow White pointer with 4-headed arrow. This visual cue tells you that the shape is ready to be moved.

  3. Drag the shape. Or, you can press the arrow keys on your keyboard to move the shape.

You can use the grid on the drawing page to align and snap shapes into position.

You don't have to place the Pointer tool exactly over the center of the shape; however, it's a good habit to develop so you don't drag a shape handle [image] by mistake. If you drag a shape handle, you will resize the shape instead of moving it. If you resize the shape by mistake, just undo your last action. (On the Edit menu, click Undo.)

Move more than one shape at a time

  1. Hold down the SHIFT key while you click each shape. Or, if the shapes you want to move are all close together, click a blank area of the drawing page with the Pointer tool, and drag to create a selection net enclosing all the shapes you want to move. Visio selects everything in the selection net.
  2. Place the Pointer tool over the center of any of the selected shapes.

The pointer changes to a four-headed arrow White pointer with 4-headed arrow. This visual cue tells you that the shapes are ready to be moved.

  3. Drag the shapes. Or, you can press the arrow keys on your keyboard to move the shapes.

All the selected shapes move at once.

Tip You can rotate a shape using the Rotation tool [image] on the toolbar.

Continue with this lesson by learning how to resize shapes.


Resize shapes

In this lesson, you learn how to:

one | Move shapes.
two | Resize shapes.
three | Zoom in on shapes.
four | Put it all together.

Microsoft Visio shapes have selection handles [image] that you can use to resize a shape. Just drag one of these handles to increase or decrease the size of the shape.

Note Visio shapes also include other types of handles. You'll learn about another type of handle—control handles—in another lesson.

Resize a shape

  1. With the Pointer tool [image], click a shape.
  2. Place the Pointer tool over a selection handle [image], and then drag to the size you want.

To resize a shape proportionally, place the Pointer tool over a corner selection handle.

The pointer changes to a two-headed arrow [image] [image]. This visual cue tells you that the shape is ready to be resized.

  3. Drag the selection handle to the size you want.

Specify the exact size of one or more shapes

  1. Click a shape to select it.

To select more than one shape, hold down the SHIFT key while you click each shape, or drag to create a selection net enclosing all the shapes that you want to move. You can use these methods whenever you want to select more than one shape.

  2. On the View menu, click Size & Position Window.
  3. In the Size & Position window, type the width and height.

To specify the exact size of all the shapes in your diagram, select them all (on the Edit menu, click Select All), and then use the Size & Position window to specify the size of the shapes.

Continue with this lesson by learning how to zoom in on shapes.


Zoom in on shapes

In this lesson, you learn how to:

one | Move shapes.
two | Resize shapes.
three | Zoom in on shapes.
four | Put it all together.

Sometimes it's difficult to move and resize small shapes when your diagram fits in the drawing window. To position shapes exactly, you may need to zoom in on a portion of a diagram using keyboard shortcuts or the Zoom box on the toolbar. You can also use the Pan & Zoom window to zoom in and out of a large diagram (for example, a site plan or floor plan) to check the overall look.

Zoom in and out of the drawing page using keyboard shortcuts

  1. To zoom in on a specific portion of your diagram, click the Pointer tool [image], and then hold down the CTRL+SHIFT keys while you drag around the shapes.

As soon as you hold down the CTRL+SHIFT keys, the pointer changes to a magnifying tool [image].

Note You can also specify a magnification percentage by typing or selecting a percentage in the Zoom box [image] on the toolbar. However, keyboard shortcuts give you much more control over the specific area of the drawing page that you want to zoom in on.

  2. To quickly zoom out and check the overall look of your diagram, press the CTRL+W keys to fit your diagram in the drawing window.

Pan and zoom using the Pan & Zoom window

  1. On the View menu, click Pan & Zoom Window.
  2. In the Pan & Zoom window, drag around the area you want to magnify.

Microsoft Visio zooms in on the area of the drawing page, and the area is highlighted in the Pan & Zoom window.

  3. If you want to pan your diagram, drag the selected area in the Pan & Zoom window.
  4. To quickly zoom out, press the CTRL+W keys to fit your diagram in the drawing window.

Now put everything you've learned in Lesson 2 into action.


Put it all together

In this lesson, you learn how to:

one | Move shapes.
two | Resize shapes.
three | Zoom in on shapes.
four | Put it all together.

You've started your manager's process flowchart, and now you need to refine it. You can put all that you've learned in Lesson 2 into action by zooming in on the shapes in your flowchart and moving them.

Move shapes in your flowchart

  1. To delete an unnecessary shape, click the last Process shape in your diagram (the one right above the Terminator shape), and then press the DELETE key.
  2. To work more precisely in your flowchart, zoom in on the shapes by holding down the CTRL+SHIFT keys while you drag around the shapes.
  3. To select all the shapes in your flowchart except the Terminator shape, click a blank area of the drawing page above and to the left of the first Process shape, and then drag around the Process, Decision, and Predefined process shapes to create a selection net.
  4. To move all the selected shapes, drag one of the selected shapes. Move the selected shapes down to fill in the gap left by the deleted shape.

All the selected shapes move at once. You can use the grid lines to snap the shapes in place.

  5. To check the overall look of your flowchart, press the CTRL+W keys to zoom out.

Begin Lesson 3: Add text.


Add text to a shape

In this lesson, you learn how to:

one | Add text to a shape.
two | Add independent text to a page.
three | Format text.
four | Put it all together.

Microsoft Visio shapes are designed so that you can add text to them. Just click a shape and type. After you add text to a shape, the text becomes part of the shape, which means it moves with the shape. Just drag the shape, and the text moves with it.

Add text to a shape

  • Click the shape, and then type. Or click the Text tool [image], click the shape, and then type.

Visio automatically zooms in on the shape so you can see the text more easily as you type or format it.

Delete text from a shape

  • Double-click the shape, and then, with the text highlighted, press the DELETE key. Or click the Text tool [image], click the shape, highlight the text you want to delete, and then press the DELETE key.

Continue with this lesson by learning how to add independent text to a page.


Add independent text to a page

In this lesson, you learn how to:

one | Add text to a shape.
two | Add independent text to a page.
three | Format text.
four | Put it all together.

You can also add independent text that's not associated with any shape—such as titles and lists—to a diagram. Just click and type. Then you can move independent text, also called a text block, the same way you move any other shape. In fact, an independent text block is really just a shape with no line or fill.

Add a text block to a page

  • Click the Text tool [image], click where you want to add text to the page, and then type.

Delete a text block from a page

  • Click the Pointer tool [image], click the text, and then press the DELETE key.

Move a text block on the page

  1. With the Pointer tool [image], click the text.
  2. Place the Pointer tool over the center of the text.

The pointer changes to a four-headed arrow White pointer with 4-headed arrow. This visual cue tells you that the text is ready to be moved, just like any other Visio shape.

  3. Drag the text to the location you want.

Tip You can rotate text using the Text Block tool [image] on the toolbar.

Continue with this lesson by learning how to format text.


Format text

In this lesson, you learn how to:

one | Add text to a shape.
two | Add independent text to a page.
three | Format text.
four | Put it all together.

After you add text to a shape or independent text to the page, you can format it—italicize it, underline it, center it, and so on—the same way you do in any Microsoft Office product. You can use the text formatting buttons on the toolbar, or you can use the formatting options in the Text dialog box.

Format text

  1. Click the text or shape that contains the text you want to format.

If you don't want to format all the text the same way, after you click the shape, use the Text tool [image] to highlight the text you want to format.

  2. On the Format menu, click Text, and then, in the Text dialog box, change any of the text attributes. Or click any of the formatting buttons, such as Bold [image], Italic [image], or Underline [image] on the toolbar.

If you don't see these buttons, right-click the toolbar area, and then on the shortcut menu, click Formatting.

Tip To show more text formatting buttons so you can quickly format text, right-click the toolbar area, and then on the shortcut menu, click Format Text.

Now put everything you've learned in Lesson 3 into action.


Put it all together

In this lesson, you learn how to:

one | Add text to a shape.
two | Add independent text to a page.
three | Format text.
four | Put it all together.

You've added shapes to your flowchart. You've positioned them the way you want. Now it's time to add text to your flowchart. Put all you've learned in Lesson 3 into action by labeling the shapes in your flowchart and adding a title.

Add text to the shapes in your flowchart

  1. Click the first Process shape, and then type 1.
  2. Click the next Process shape, and then type 2.
  3. Click the Decision shape, and then type 3.
  4. Click the Predefined process shape, and then type A.
  5. Click the Terminator shape, and then type B.
  6. To select all the shapes in your flowchart, click somewhere above and to the left of the first Process shape, and then drag to create a selection net.

Microsoft Visio selects everything in the selection net.

  7. To change the text color for all the selected shapes, click the Text Color button [image] on the toolbar, and then choose the red color.
  8. To add a title to your flowchart, click the Text tool [image], and at the top of the drawing page, click and then type 123AB.

Begin Lesson 4: Connect shapes.


Format a 2-D shape

In this lesson, you learn how to:

one | Format a 2-D shape.
two | Format a 1-D shape.
three | Change the appearance of a shape using control handles.
four | Put it all together.

The type of formatting you apply to a shape depends on whether the shape is one-dimensional (1-D) or two-dimensional (2-D). You can change the fill color, fill pattern, line color, line weight, and line pattern of any 2-D shape. You can also add a shadow to a 2-D shape and control the corner rounding.

Format a 2-D shape

  1. Click the 2-D shape.

You can select multiple shapes to format simultaneously by holding down the SHIFT key while you click each shape or by dragging a selection net around the shapes you want to format.

  2. Use any of the following methods to format the shape:
  • On the Format menu, click Line to change the line color, thickness, or pattern.
  • On the Format menu, click Fill to change the fill color or pattern.
  • Click any of the formatting buttons, such as the Fill Color button [image], on the toolbar.

To show more formatting buttons so you can quickly format shapes, right-click the toolbar area, and then on the shortcut menu, click Format Shape.

Tip You can also use the Format Painter tool [image] to copy all the formatting attributes—text, fill, and line attributes—of one shape to another. Click the shape whose formatting you want to copy, click the Format Painter tool, and then click the shape you want to format.

Continue with this lesson by learning how to format a 1-D shape.


Format a 1-D shape

In this lesson, you learn how to:

one | Format a 2-D shape.
two | Format a 1-D shape.
three | Change the appearance of a shape using control handles.
four | Put it all together.

You can change the line color, line weight, line pattern, line end type, and line end size of any one-dimensional (1-D) shape, including connectors.

Note Some templates use a default line end style for connectors that is appropriate for the drawing type, so you don't need to format the connector; it's already done for you. For example, the Basic Flowchart template uses a line connector with an arrowhead, a style appropriate for flowcharts.

Format a 1-D shape

  1. Click the 1-D shape.
  2. Use either of the following methods to format the shape:
  • On the Format menu, click Line to change the color, thickness, pattern, or ends.
  • Click any of the formatting buttons on the toolbar, such as the Line Color button [image], the Line Weight button [image], or the Line Ends button [image].

Tip You can duplicate a shape after you've formatted it. Click the shape, and on the Edit menu, click Copy, and then on the Edit menu, click Paste. Or, to quickly copy a shape to a specific location, hold down the CTRL key while you drag the shape. Make sure you release the mouse button before you release the CTRL key, or the shape will move instead of being copied.

Continue with this lesson by learning how to change the appearance of a shape using control handles.


Change the appearance of a shape using control handles

In this lesson, you learn how to:

one | Format a 2-D shape.
two | Format a 1-D shape.
three | Change the appearance of a shape using control handles.
four | Put it all together.

Some Microsoft Visio shapes have control handles [image] that you can use to change the appearance of a shape. Every control handle does something different; just drag it to see what it does. For example, a control handle might rotate a shape, move the lines inside a shape, increase the size of a pie chart slice, change the location of the text associated with the shape, and so on.

Change the appearance of a shape using control handles

  • With the Pointer tool [image], click the control handle [image] on the shape and drag it.

To find out what a control handle does, read the ScreenTip that appears when you pause the pointer over the control handle. Or right-click a shape, and then, on the shortcut menu, click Help.

Now put everything you've learned in Lesson 5 into action.


Put it all together

In this lesson, you learn how to:

one | Format a 2-D shape.
two | Format a 1-D shape.
three | Change the appearance of a shape using control handles.
four | Put it all together.

Your manager wants to highlight the decisions in the flowchart you are creating, so format the Decision shape differently to make it stand out. She doesn't need much information about the predefined department processes, so format the Predefined process shapes so they're not prominent shapes in the flowchart. Put all you've learned in Lesson 5 into action by formatting these shapes and one of the connectors in your flowchart.

Format the shapes in your flowchart

  1. To change the color of the Decision shape, click it, click the Fill Color button [image] on the toolbar, and then choose the green color.
  2. To change the line color in the Predefined process shape, click it, click the Line Color button [image] on the toolbar, and then choose a gray color.
  3. To decrease the distance between the inside lines of the Predefined process shape, drag the control handle [image] on the shape.
  4. To adjust the curve of the Line-curve connector shape, drag the control handle on the shape.
  5. To change the pattern of the Line-curve connector shape, click the shape, click the Line Pattern button [image] on the toolbar, and then select a dashed pattern.

Begin Lesson 6: Finish and use a diagram.


Connect shapes using the Connector tool

In this lesson, you learn how to:

one | Connect shapes using the Connector tool.
two | Connect shapes with connectors from a stencil.
three | Add text to connectors.
four | Put it all together.

Flowcharts, organization charts, Web site diagrams, and so forth use lines to represent relationships or hierarchies and to connect the shapes in the diagram. To create this type of connection, use the Connector tool [image] to connect the shapes after they're on the drawing page or as you drag shapes from a stencil onto the drawing page.

Note Many new Microsoft Visio users erroneously use the Line tool to connect shapes. Don't form this habit. When you use the Line tool to connect shapes, the connector doesn't automatically reroute, or bend, when you move one of the connected shapes. When you connect shapes with the Connector tool, the connector reroutes automatically, and Microsoft Visio uses a connector style that is appropriate for your diagram.

Connect shapes after they're on the drawing page

  1. Click the Connector tool [image].
  2. Place the Connector tool over a connection point [image] on one of the shapes you want to connect.

The Connector tool highlights the connection point with a red box [image]. This visual cue tells you that a connection can be made from that point.

  3. Drag the Connector tool from the connection point on the first shape to a connection point on the second shape.

The connector endpoints turn red when the shapes are connected. This is an important visual cue. If one of the connector's endpoints is still green, try to connect the endpoint to the shape again. Both endpoints must be red if you want both shapes to stay connected.

If you begin your diagram with a template that includes specific line styles for the diagram type, your connector may include formatting, such as arrowheads or another style appropriate for your diagram type.

Connect shapes as you drag them onto the drawing page

  1. Click the Connector tool.
  2. Drag a shape from a stencil onto the drawing page.
  3. Drag another shape from a stencil onto the drawing page.

Each new shape you drag onto the drawing page connects to the last shape you dragged onto the drawing page or to the selected shape on the drawing page.

Delete a connector

  • Click the connector, and then press the DELETE key.

Move a connector

  • Drag one of its endpoints to a new location.

Continue with this lesson by learning how to connect shapes with connectors from a stencil.


Connect shapes with connectors from a stencil

In this lesson, you learn how to:

one | Connect shapes using the Connector tool.
two | Connect shapes with connectors from a stencil.
three | Add text to connectors.
four | Put it all together.

You can also connect shapes with connectors from a stencil. For example, in a network diagram, you can drag network equipment from the stencil and connect it to racks. Or, in a block diagram, you can drag two-dimensional arrows from the stencil and connect them to boxes. In a flowchart, you can drag the Line-curve connector from the Basic Flowchart Shapes stencil and connect it to shapes in your flowchart to make a connection using a curved line instead of a straight line.

Connect shapes with connectors from a stencil

  1. Drag a connector from the stencil, and position one of its endpoints [image] on a connection point [image] of one of the shapes you want to connect.

The connector endpoint turns red when the endpoint is connected to the shape.

  2. Drag the connector's other endpoint onto a connection point of the other shape you want to connect.

Both connector endpoints turn red if the shapes are connected properly.

Tip Microsoft Visio includes the Connectors stencil, which contains many different types of connectors. If you can't find the connector you want on the stencils that your template opens, in the Visio Extras folder, open the Connectors stencil to see if you can find it there.

Continue with this lesson by learning how to add text to connectors.


Put it all together

In this lesson, you learn how to:

one | Connect shapes using the Connector tool.
two | Connect shapes with connectors from a stencil.
three | Add text to connectors.
four | Put it all together.

It's time to connect the shapes in your flowchart to represent the department process flow. Put all you've learned in Lesson 4 into action by connecting the shapes and adding text to a couple of connectors.

Connect the shapes in your flowchart

  1. To begin connecting the shapes in your flowchart, click the Connector tool [image].

Note You may want to zoom in on the first two shapes you connect so you can see exactly what you're doing and make sure the shapes are connected.

  2. Place the Connector tool over the connection point [image] on the bottom of the first Process shape, and then drag to the connection point at the top of the second Process shape.

The connector endpoints turn red when the shapes are connected.

You began this flowchart with the Basic Flowchart template. By default, this template uses a line connector with an arrowhead, which is a style appropriate for flowcharts.

  3. Place the Connector tool over the connection point on the bottom of the second Process shape, and then drag to the connection point at the top of the Decision shape.
  4. Place the Connector tool over the connection point on the bottom of the Decision shape, and then drag to the connection point at the top of the Terminator shape.
  5. Place the Connector tool over the connection point on the right side of the Decision shape, and then drag to the connection point on the left side of the Predefined process shape.
  6. Place the Connector tool over the connection point on the bottom of the Predefined process shape, and then drag to the connection point on the right side of the Terminator shape.
  7. To add a connector from a stencil to your flowchart, drag the Line-curve connector from the Basic Flowchart Shapes stencil, and position it so the plain end of the connector connects to the connection point on the left side of the first Process shape.

The Line-curve connector endpoint turns red when it is connected to the Process shape. The other endpoint is still green because you haven't connected it to a shape yet.

  8. Drag the other end, or arrowhead end, of the Line-curve connector to the connection point on the left side of the Decision shape.
  9. To add text to two connectors in your flowchart, click the connector between the Decision and Predefined process shapes, and then type A. Click the connector between the Decision and Terminator shapes, and then type B.

Begin Lesson 5: Format shapes.


Preview and print your diagram

In this lesson, you learn how to:

one | Preview and print your diagram.
two | Save your diagram as a Web page.
three | Use your diagram with Microsoft Office products.
four | Put it all together.

Everyone thought we'd have paperless offices by now, right? Well, not yet. Most people still print their diagrams. Before you print a diagram, you can preview it to see whether the shapes on the drawing page will fit on the printed page.

In the print preview window, gray lines indicate the edge of the printed page. If any of your shapes overlap the gray boundary, they may not print, because they're too close to the edge of the printed page. After you see the print preview, you may want to move your shapes so they're not too close to the edge of the page. Or you may want to make changes to the drawing page or printer settings, such as orientation, size, margins, and so on.

Preview and print your diagram

  1. Click the Print Preview button [image].
  2. If you need to make adjustments to your diagram or printer settings, click the Close button to close the print preview window.

To make changes to the drawing page, on the File menu, click Page Setup. To make changes to printer settings, on the File menu, click Print, and then click Properties.

  3. On the File menu, click Print.

Continue with this lesson by learning how to save your diagram as a Web page.


Use your diagram with Microsoft Office products

In this lesson, you learn how to:

one | Preview and print your diagram.
two | Save your diagram as a Web page.
three | Use your diagram with Microsoft Office products.
four | Put it all together.

You can incorporate your entire Visio diagram or just a few shapes into another document, workbook, presentation, or e-mail message by copying the diagram or shapes and then pasting them into the other document. The pasted diagram or shapes become part of the other document, so when you modify it in the other document, you modify only the pasted version of the diagram.

Incorporate your diagram into a Word document

  1. To select all the shapes in your diagram, on the Edit menu, click Select All.
  2. To copy the shapes, on the Edit menu, click Copy.
  3. Start the Word document that you want to use.
  4. Click the location in the Word document where you want to insert your diagram.
  5. To paste the shapes into the document, on the Edit menu, click Paste.

Modify the diagram in the Word document

  1. In the Word document, double-click the diagram.

Microsoft Visio starts within Word, and you can work with your diagram as you normally would in Visio.

  2. To exit Microsoft Visio and return to the document, click outside the diagram, somewhere in the Word document.

Microsoft Visio closes, and Word becomes the active program again.

Tip You can easily send your diagram electronically using Microsoft Outlook. In Microsoft Visio, on the File menu, point to Send To, and then click Mail Recipient (as Attachment). Outlook starts and automatically attaches your diagram to an e-mail. Specify the recipient, type a message, and then send the e-mail.

Now put everything you've learned in Lesson 6 into action.


Put it all together

In this lesson, you learn how to:

one | Preview and print your diagram.
two | Save your diagram as a Web page.
three | Use your diagram with Microsoft Office products.
four | Put it all together.

Congratulations! You've completed your process flowchart. Now you need to save it and incorporate it into a Microsoft Word document so your manager can use it as a visual aid in her interview documents. Put all you've learned in Lesson 6 into action by saving your flowchart and pasting it into a Word document.

Save your flowchart and incorporate it into a Word document

  1. To save your flowchart, on the File menu, click Save As.
  2. In the File name box, type a file name, and then click Save.
  3. In the Properties dialog box, fill in any information you want, and then click OK.
  4. To select all the shapes in your flowchart, on the Edit menu, click Select All.
  5. To copy your flowchart, on the Edit menu, click Copy.
  6. Start Microsoft Word.
  7. Click the location where you want to insert your flowchart.
  8. To paste your flowchart into a document, on the Edit menu, click Paste.

Word pastes your flowchart into the document in the location you clicked.

Now let's review everything you've learned in Getting Started.


Add text to connectors

In this lesson, you learn how to:

one | Connect shapes using the Connector tool.
two | Connect shapes with connectors from a stencil.
three | Add text to connectors.
four | Put it all together.

Connectors that represent relationships in diagrams, such as flowcharts, can also include text to further define the relationship. You add text to connectors the same way you add text to any Visio shape—just click the connector and type.

Add text to connectors

  • With the Pointer tool [image], click the connector, and then type.

Microsoft Visio automatically zooms in on the connector so you can see the text more easily as you're typing or formatting it.

Tip You can also move text associated with any shape, including a connector. To move text associated with a shape, click the Text Block tool [image], and then click either the shape or the connector. When you click a shape with the Text Block tool, it selects the text block only. With the text block selected, place the Text Block tool over the center of the text block, and then drag the text to the location you want. The text is still associated with the shape; you're just repositioning the text.

Now put everything you've learned in Lesson 4 into action.


Save your diagram as a Web page

In this lesson, you learn how to:

one | Preview and print your diagram.
two | Save your diagram as a Web page.
three | Use your diagram with Microsoft Office products.
four | Put it all together.

With Microsoft Visio, saving your diagrams as Web pages is as easy as saving a file. Microsoft Visio automatically adds the HTML tags necessary to display the diagram in a Web browser, so all you have to do is make sure that your diagram looks the way you want.

Save your diagram as a Web page

  1. On the File menu, click Save as Web Page.
  2. In the Save in list, open the folder where you want to save the file.
  3. In the File name list, type a name for the Web page file.
  4. To specify the title that appears in the title bar when the page is displayed in a browser, click Change Title. In the Set Page Title box, type a title, and then click OK.
  5. Click Save to open your Web browser and view the Web page.

Tip You can add hyperlinks to the shapes in your diagram, so that in Microsoft Visio or on the Web page, you can click a linked shape and go to the linked location. To add a hyperlink to a shape, click the shape, and then on the Insert menu, click Hyperlinks. In the Hyperlinks dialog box, in the Address box, type the address of the link location, and then click OK.

Continue with this lesson by learning how to use your diagram with Microsoft Office products.


Diagram examples

Examples of diagrams you can create with Microsoft Visio

You can create these diagrams with any Microsoft Visio product.

With Microsoft Visio Standard, you can create business diagrams—flowcharts, organization charts, timelines, and so on. With Microsoft Visio Professional, you can create business diagrams and technical diagrams, such as software diagrams, database model diagrams, and floor plans.

Diagram examples include descriptions and examples of these diagrams and others you can create with Visio. It also tells you where you can find the template you need to create a diagram.

Tip You can also find sample diagrams included with Visio. On the File menu, point to New, click Browse Sample Drawings, double-click a folder, and then open a sample drawing.

Continue by learning about flowcharts.


Flowcharts

Flowcharts are visual representations of a process.

Look in the Flowchart folder to find templates and stencils you can use to create various types of flowcharts, such as audit diagrams, cause-and-effect diagrams, and work flow diagrams.

Who might use flowcharts and how?

  • Managers can use flowcharts to assist in the interviewing process to select a capable applicant by highlighting the tough decisions the new job applicant would need to make.
  • Insurance companies can use flowcharts to document risk-assessment processes.
  • Accountants can use flowcharts to describe fiscal management, money management, and financial inventory processes.

Continue by learning about cross-functional flowcharts.


Cross-functional flowcharts

Cross-functional flowcharts show how a process flows from department to department and function to function.

Look in the Flowchart folder to find the Cross-Functional Flowchart template that opens stencils you can use to create cross-functional flowcharts.

Who might use cross-functional flowcharts and how?

  • Managers who must implement TQM (Total Quality Management) principles can use cross-functional flowcharts to help them understand how a process works, which departments are involved in the process, and how the process can be improved.
  • Executive assistants can use cross-functional flowcharts to illustrate a process to an executive and suggest improvements.
  • Project managers can use cross-functional flowcharts to determine the effect of a project across the organization and allocate resources.

Continue by learning about organization charts.


Organization charts

Organization charts show reporting relationships and how employees are grouped into departments.

Look in the Organization Chart folder to find templates and stencils you can use to create organization charts.

Who might use organization charts and how?

  • Human resources professionals can create organization charts and post them on a company's intranet.
  • Project managers can use organization charts to show team structure and task breakdown to develop a project schedule.
  • Managers can use organization charts to visualize how to restructure their department or estimate staffing needs.

Continue by learning about block diagrams.


Block diagrams

Block diagrams visually represent concepts and processes, including data structure, hierarchical information, and data flow.

Look in the Block Diagram folder to find templates and stencils you can use to create various types of basic diagrams, such as block diagrams and block diagrams with perspective.

Who might use block diagrams and how?

  • Sales and marketing professionals can include block diagrams in their presentations, proposals, and reports.
  • Software programmers can use block diagrams to communicate ideas and complex concepts.
  • Project managers can use block diagrams to create conceptual diagrams of how all the tasks in a project fit together.

Continue by learning about office layouts.


Office layouts

Office layouts show a building's interior—the location of cubicles, walls, doors, windows, office furniture, and electrical fixtures.

Look in the Building Plan folder to find the Office Layout template that opens stencils you can use to create office layouts.

Who might use office layouts and how?

  • Space planning consultants can use office layouts to make recommendations to clients.
  • Operations departments can use office layouts to track asset inventories.
  • Interior designers can use office layouts to determine the best ergonomic layout for an office.

Continue by learning about marketing charts and diagrams.


Marketing charts and diagrams

Marketing charts and diagrams often use symbols to communicate concepts and illustrate data.

Look in the Forms and Charts folder to find templates and stencils you can use to create various types of marketing charts and diagrams and to design forms.

Who might use marketing charts and diagrams and how?

  • Marketing professionals can use charts to display data, which is more effective than displaying text.
  • CFOs can use marketing charts to represent company finances in annual reports.
  • Newspaper and magazine professionals can use diagrams, sometimes called infographics, to illustrate statistical data.

Continue by learning about directional maps.


Directional maps

Directional maps can include roads, trees, bridges, rivers, houses, buildings, road signs, and other landmarks.

Look in the Map folder to find templates and stencils you can use to create two-dimensional or three-dimensional directional maps.

Who might use directional maps and how?

  • Traffic officers can use directional maps to show traffic patterns.
  • Event planners can use directional maps to provide directions to a company event.
  • Sales managers can use directional maps to provide directions to a trade show.

Continue by learning about timelines.


Timelines

Timelines visually represent a sequence of events or procedures.

Look in the Project Schedule folder to find templates and stencils you can use to create project timelines, calendars, Gantt charts, and PERT charts.

Who might use timelines and how?

  • Project managers can use timelines in a presentation for a team status meeting.
  • Supervisors can use timelines to make each team member accountable for completing their tasks.
  • Documentation specialists can use timelines to track process-completion dates.

Continue by learning about Web diagrams.


Web diagrams

Microsoft Visio Professional

A Web diagram can show the hierarchy and flow of your site and serve as a visual tool for reorganizing your site.

In Microsoft Visio Professional, look in the Web Diagram folder to find templates and stencils you can use to create conceptual Web diagrams and Web site maps.

Who might use Web diagrams and how?

  • Web designers can incorporate Web diagrams into a presentation for a company meeting.
  • Intranet producers can use a Web diagram as a visual tool to aid in reorganizing departmental intranet sites.
  • Web developers can use a map of their site to help them inventory the files, pictures, data, and content.

Continue by learning about logical network diagrams.


Logical network diagrams

Microsoft Visio Professional

Logical network diagram

Logical network diagrams visually represent a network's communication flow.

In Microsoft Visio Professional, look in the Network folder to find the Logical Network Diagram template that opens stencils you can use to create logical network diagrams.

Who might use logical network diagrams and how?

  • Network managers can create logical network diagrams to show a high-level view of their network.
  • IT professionals who identify geographic locations within an organization can use logical network diagrams to determine how the locations are interconnected.
  • IT professionals can identify obstacles or backlogs in the network flow.

Continue by learning about physical network diagrams.


Physical network diagrams

Physical network diagram

Physical network diagrams represent an organization's network, including the cabling and physical hardware.

Look in the Network folder to find the Basic Network template that opens stencils you can use to create various types of physical network diagrams.

Who might use physical network diagrams and how?

  • Facilities managers can incorporate physical network diagrams into disaster-recovery plans, cabling runs, and documents that include information about company assets and their associated costs.
  • Network managers can use physical network diagrams to show the distribution of products used throughout the organization.
  • Anyone in an organization can refer to network diagrams to identify devices such as printers and copy machines to which they can connect.

Continue by learning about floor plans.


Site plans

Microsoft Visio Professional

Site plans document driveways, street junctions, parking lots, traffic patterns, and islands and landscaping.

In Microsoft Visio Professional, look in the Building Plan folder to find templates and stencils you can use to create site plans, plumbing and piping plans, and HVAC plans.

Who might use site plans and how?

  • Facilities managers can use site plan diagrams to plan parking lot remodeling.
  • Space planners can incorporate site plan diagrams into move proposals.
  • Contractors can use site plans to see how a building will integrate with the environment around it.

Continue by learning about process engineering diagrams.


Software diagrams

Microsoft Visio Professional

Software diagrams help development teams design software and user interfaces.

In Microsoft Visio Professional, look in the Software folder to find templates and stencils you can use to create various types of software diagrams.

Who might use software diagrams and how?

  • Software engineers can create code structure diagrams and then test and revise the diagrams during the development process.
  • User interface designers can use software diagrams to create prototypes of dialog boxes, menus, toolbars, and wizards.
  • Usability engineers can use software diagrams to test how users will interact with the software.

Continue by learning about database model diagrams.


Floor plans

Microsoft Visio Professional

Floor plans visually represent the location of doors, windows, electrical outlets, and switches for a floor in a building.

In Microsoft Visio Professional, look in the Building Plan folder to find templates and stencils you can use to create floor plans, plant layouts, and space plans.

Who might use floor plans and how?

  • Architects can use floor plans in brainstorming sessions to quickly show possible layouts.
  • General contractors can use floor plans to lay out the best possible wiring plan for a building.
  • Facilities managers can annotate proposed floor plans and return them to the architect.

Continue by learning about site plans.


Database model diagrams

Microsoft Visio Professional

Database model diagram

Database model diagrams visually represent database schemas.

In Microsoft Visio Professional, look in the Database folder to find templates and stencils you can use to create various types of database model diagrams.

Who might use database model diagrams and how?

  • Software engineers can design and revise database model diagrams as they brainstorm with colleagues.
  • Technical support personnel can use database model diagrams to troubleshoot a database schema.
  • Trainers can use database model diagrams to take the mystery out of databases by showing students the structure of a database.

Go to Create a Diagram.


Process engineering diagrams

Microsoft Visio Professional

Process engineering diagram

P&IDs show how industrial process equipment is interconnected by a system of pipelines.

In Microsoft Visio Professional, look in the Process Engineering folder to find templates and stencils you can use to create process flow diagrams and piping and instrumentation diagrams (P&IDs).

Who might use process engineering diagrams and how?

  • Process engineers can create process flow diagrams to show piping plans for petroleum plants.
  • Plant operators can use P&IDs to document changes to existing facilities, such as boiler systems.
  • Controls operators can use piping diagrams to show how a logic diagram relates to a physical pipe plan.

Continue by learning about software diagrams.


Learn the basics

Play

Each lesson in Getting Started teaches you basic skills that you can use to create any diagram.

If you're new to Microsoft Visio, you probably have questions about the types of diagrams you can create and how to create them.

Getting Started provides:

  • Basic information about creating diagrams and how easy it is to create them using Microsoft Visio.
  • Visio diagram examples to spark your imagination and get you started on the right track.
  • Lessons in which you learn how to create a Visio diagram and put that knowledge into action at the end of each lesson.

Move through Getting Started by clicking the Next button at the top of this window or by clicking the link at the end of each topic. You can also use the table of contents to go to a specific topic or lesson.

Continue by learning why diagrams are sometimes better than text.


Clarify your ideas with diagrams

An organization hierarchy in text and diagram form

You can clarify an organization's hierarchy by presenting it in diagram form rather than in text form.

Why bother with diagrams at all? You've heard that a picture is worth a thousand words. The right diagram can:

  • Clarify and simplify your ideas, concepts, systems, data, and plans, allowing you to communicate them to any audience.
  • Increase comprehension by using visual cues, symbols, and relationships.
  • Provide a common visual language that spans cultural and technical communication barriers.

Continue by learning how easy it is to use Microsoft Visio tools.


See how easy it is to create a diagram

See how easy it is to create diagrams

A Microsoft Visio diagram assembled with shapes from stencils

With Microsoft Visio, you don't need to draw anything—you just drag the shapes you want onto the drawing page.

With Microsoft Visio, creating a diagram is so easy! You don't need to "draw" at all.

Microsoft Visio includes:

  • Ready-to-use templates and shapes that are specific to the diagram you want to create. You just drag the shapes you want onto the drawing page to create your diagram.
  • A familiar Microsoft Office environment. You can create diagrams quickly using familiar toolbars and menus.
  • Tools for everyone in your organization, from basic business users to technical users in IT, development, and engineering—all in one program. Anyone in your organization can use Visio products to create diagrams.

Continue by learning the basic steps involved in creating Visio diagrams.


Create a diagram

Create diagrams using basic steps

Play

Each lesson in Getting Started teaches you basic skills that you can use to create any diagram.

Both Microsoft Visio products—Microsoft Visio Standard and Microsoft Visio Professional—share a core set of features. This means that you can create diagrams using the same basic steps, regardless of which product you have.

Create a diagram

  1. Begin a diagram by opening a template and adding shapes to your diagram.
  2. Move and resize the shapes in your diagram.
  3. Add text to your diagram.
  4. Connect the shapes in your diagram.
  5. Format the shapes in your diagram.
  6. Finish your diagram by saving it and showing it to an audience.

Go to Diagram Examples.


Navigating Help and using Answer Wizard

You can get help quickly while you work in Microsoft Visio by navigating the Help window or by asking natural language questions using the Answer Wizard (Ask a question box), shown in the illustration below.

Ask a Question box

Click to show or hide information. Navigating the Help window

When you choose Microsoft Visio Help from the Help menu, the Visio Help window opens. The Help window contains three tabbed sections in the navigation pane:

  • Contents contains headings with topics listed below. To expand the heading and see the topics, click the plus (+) sign.
  • Answer Wizard allows you to ask questions and search Microsoft Visio Help for topics with answers.
  • Index contains index terms. To view and search index entries, click this tab.

You can navigate the Help window in the following ways:

Click to show or hide information. Show or hide the navigation pane

On the Help window toolbar, click Hide [image] or Show [image].

Click to show or hide information. Keep Help visible while you work

To keep Help always visible, tile the Help window with the Visio main window by clicking Auto Tile [image] or Untile [image] on the Help window toolbar.

Click to show or hide information. Go back and forth between Help topics

To navigate between topics you've already seen, click Back [image] or Forward [image] on the Help window toolbar.

Click to show or hide information. Print a topic

On the Help window toolbar, click Print [image].

Click to show or hide information. Change Help options

On the Help window toolbar, click Options [image], and then select the options you want from the list.

Note Each time you open Help, the window appears in the same configuration as the last time you used it.

Click to show or hide information. Using Answer Wizard

You can use the Answer Wizard search tool to ask a question in your own words, and then view a list of topics that contain answers to your question. You can use Answer Wizard without opening the Help window (Ask a question box), or you can enter your Answer Wizard question in the Help window.

Click to show or hide information. Use Answer Wizard without opening Help

  1. In the Ask a question box located at the top right of the menu bar, type your question, and then press ENTER.
  2. Click the title of the topic that most closely relates to the information you're looking for.
  3. If none of the topics listed seem to be what you want, click None of the above, look for more help on the Web.

Answer Wizard result list

List of topics resulting from typing connect shapes in the Ask a question box on the menu bar.

Click to show or hide information. Use Answer Wizard in the Help window

  1. On the Help menu, click Microsoft Visio Help.
  2. In the Help window, click the Answer Wizard tab.

If the Answer Wizard tab isn't showing, click the Show button [image] to display the navigation pane.

  3. Under What would you like to do?, type your question, and then click Search.
  4. Under Select topic to display, click the topic title that seems most relevant to your search. You can display each Help topic that displays as a result of your search.

Note If the list of topics doesn't include a topic that addresses your question, click Search on Web.


Help Center

Microsoft Visio Help
What's New
Learn about the new features in Microsoft Visio Standard 2002.
Microsoft Office Web site
Visit the Microsoft Office Web site to find additional products, service, and assistance.
Getting Started
Learn the basics you need to create any Microsoft Visio drawing.
Getting Help
Learn about the different resources available to get help while you work.
Sample Drawings
View examples of Microsoft Visio drawings.

Help Topics

  • Accessibility features in Microsoft Visio
  • Keyboard shortcuts
  • Create a block diagram
  • Create a basic flowchart
  • Create an organization chart
  • Create a timeline
  • Create an office layout drawing
  • Create an organization chart from a data file

Web Pages

Click a link to visit the World Wide Web.

  • Microsoft Press
  • Microsoft Product Support Services
  • Visio Developer Center
  • Visio Network Center


Help Center

Microsoft Visio Help
What's New
Learn about the new features in Microsoft Visio Professional 2002.
Microsoft Office Web site
Visit the Microsoft Office Web site to find additional products, service, and assistance.
Getting Started
Learn the basics you need to create any Microsoft Visio drawing.
Getting Help
Learn about the different resources available to get help while you work.
Sample Drawings
View examples of Microsoft Visio drawings.

Help Topics

  • Accessibility features in Microsoft Visio
  • Keyboard shortcuts
  • Create a network diagram
  • Create a basic flowchart
  • Create a floor plan
  • Create an organization chart
  • Create a database model diagram
  • Create a Web site diagram

Web Pages

Click a link to visit the World Wide Web.

  • Microsoft Press
  • Microsoft Product Support Services
  • Visio Developer Center
  • Visio Network Center


Drawing type is not available

You have clicked a Help link for a drawing type that has not been installed on your computer. To install the drawing type and its Help files, do one of the following:

  • For a drawing type that will be installed on first use, on the File menu, point to New, point to the drawing category, and then click the drawing type you want.

The Microsoft Visio Setup program automatically starts and installs the selected drawing type.

  • For a drawing type that has not been installed, use Add/Remove Programs in the Windows Control Panel to install the drawing type.


What's New in Microsoft Visio Professional 2002

Click any of these items to learn about new and improved features in Microsoft Visio Professional 2002.

Click to show or hide information. New Visio features for Microsoft Office compatibility

Visio now includes Microsoft Office features that make it easier to use Visio with other programs in the Office product group.

  • New Office XP look and feel Menus include the same personalization options as Office XP applications. Visio also includes a Task Pane and an Office Search feature.
  • Common Office functions Visio provides common Office functions, such as built-in AutoCorrect features, Office spelling checker, keyboard shortcuts, Open, Save, and Save As dialog boxes.
  • Answer Wizard Help You can quickly find information about how to use Visio by typing natural language questions into the Answer Wizard Ask A Question box. A list of topics that most closely relate to each question appears. If none of the topics seem relevant, you can click a link to go directly to the Web to look for more help.
  • Reliability and data recovery tools The AutoRecover automatic backup system prevents loss of work and lets you easily recover diagrams in the event of unexpected problems.
  • In-place editing in Office applications When you edit Visio documents within Office applications, you have access to more Visio tools, which enable you to better update and revise diagrams from within Office documents.

Click to show or hide information. Microsoft Visio Technical solutions

Microsoft Visio Professional includes all the solutions previously available in Visio 2000 Technical Edition, as well as those in Visio 2000 Standard Edition and Visio 2000 Professional Edition.

Click to show or hide information. More efficient building plans

With the improved building plan solutions in Microsoft Visio, you have custom features for incorporating data and CAD drawings into diagrams.

  • Simplified interface Update shapes either through direct resizing or positioning or by specifying properties in the Custom Properties window.
  • Curved walls Use shapes that represent curved walls.
  • Improved wall intersection cleanup Visio automatically refines wall intersections, reducing the amount of cleanup required from you in creating building plans.
  • Floor plan data population Populate floor plans with data stored in Active Directory, Exchange, Excel worksheets, Microsoft Access databases, or other ODBC-compliant data sources.
  • Color by value Assign colors to shapes based on custom property values.
  • Improved Autodesk AutoCAD compatibility Look at all model space views supported by paper space.

Click to show or hide information. Simplified process engineering

Microsoft Visio simplifies the way you work with process engineering component information and provides options for more flexible component tagging.

  • Improved component attribute management The process engineering solution now displays process engineering component information in the Custom Properties window, eliminating the need for an external database.
  • More flexible tagging Manually tag process engineering components and selectively retag them, while retaining the option to automatically assign component tags.
  • Better pipe routing Visio provides enhanced control of pipe layout with support for junctions, as well as splitting and healing of pipe segments by valves and other process engineering components.

Click to show or hide information. Robust IT diagramming

Your Web site mapping and reporting has more shapes and improved mapping and reporting features, making IT diagramming easier and more complete.

  • Microsoft Exchange Server 2000 shapes Define and communicate Microsoft Exchange 2000 plans and configurations using the Exchange stencil shapes in the Active Directory solution.
  • Improved Web site mapping Control Web site discovery and layout. The List window makes navigation easy by displaying Web site elements in a tree view.
  • Web site reports Generate a complete report of all the links in a Web site, including broken links. The reporting tool can even identify changes in a Web site since it was last diagrammed.

Click to show or hide information. Developer tools and enhancements

With Microsoft Visio, you have greater interoperability with and support for Microsoft developer tools. Visio also provides productivity enhancements for creating database and software diagrams.

  • Interface productivity Add new fields consecutively to database tables or software classes, enabling more rapid data entry. Resizable dialog boxes provide visibility to as much or as little information as you want, and dockable windows (Output, Code, Database Properties, Tables and Views) free work space and provide unobstructed access to the model.
  • Database modeling In addition to full list of DBMSs, Visio supports SQL Server 2000. Automatically generate a complete database diagram from the Reverse Engineer Wizard in Visio, eliminating the need to drag tables from the Tables window.
  • Software modeling Microsoft Visio supports Microsoft Visual Basic 6 and Microsoft Visual C++ 6.

Click to show or hide information. Easier project scheduling

Enhancements to the Microsoft Visio project scheduling solutions provide integration with other tools and promote productivity gains.

  • Integration with Microsoft Project You can import dates and tasks from Microsoft Project files into Gantt charts and timelines, which you can then publish or display.
  • Timeline/Gantt chart interoperability You can export information in a timeline to create a Gantt chart, and vice versa.
  • In-place task editing You can make changes to a task without having to retype the task.
  • New progress bars You can visualize your work better because Visio displays process status when importing data and laying out Gantt charts.
  • Improved timeline performance You can plan your schedule more easily because the Visio Timeline solution is faster and has a more intuitive milestone behavior.

Click to show or hide information. More flexible organization charts

Microsoft Visio gives you greater control over the appearance of organization charts and added flexibility in working with custom properties.

  • Intuitive layout behavior Organization chart shapes are positioned automatically when you drop them on a superior shape, but they maintain their original positions when you add more shapes.
  • Synchronization enhancements Changes you make to synchronized copies of organization chart text and custom properties behave in more intuitive ways, allowing you to change the formatting of duplicate entities and avoid unexpected deletions.
  • Multiple custom properties You can store and display an unlimited number of custom properties. You can also switch which properties are displayed after generating the diagram.

Click to show or hide information. Productivity improvements

Microsoft Visio has improved property reporting, enhanced search capabilities, and a streamlined Database Wizard that increase productivity.

  • Property Report Wizard Provides diagram-specific reports, and replaces several property reporting tools. Use report formats to export a wide range of diagram information to an XML file, a Web page, a Visio table shape, a Microsoft Excel worksheet, or an embedded Excel shape.
  • Enhanced search capabilities Search within custom properties, shape names, and user-defined cells.
  • Simplified database connectivity In addition to the multi-step Database Wizard, Visio now has a single dialog box that provides clear options for establishing connectivity between shapes and ODBC-compliant data sources.
  • Auto-hide window docking Dock multiple auto-hide windows (such as Pan & Zoom and Drawing Explorer) in the stencil area, freeing work space and providing an unobstructed view of your diagram.

Click to show or hide information. Tight Web integration

Microsoft Web sites provide additional information that will help you use Visio more effectively. You can also turn your Microsoft Visio drawings into Web pages.

  • Find Shape feature You can extend your library of shapes without waiting for the next product release. The Find Shape feature provides local and Web-based shape storage capability.
  • Save as Web page You can publish Visio diagrams as Web pages with a property view that displays custom property data for shapes. Shapes can display multiple hyperlinks for enhanced navigation capabilities.
  • Automatic program updates The AutoUpdate utility can analyze your Visio installation, recommend needed updates, and make them immediately available for you to download and install. You can link to this utility from the Visio Web site.

Click to show or hide information. Sharper-looking diagrams

Microsoft Visio has smoother-looking lines and text, richer colors, and new graphics-importing and enhancing tools that enable you to create more professional-looking diagrams.

  • Smoother graphics and text Make smoother-looking lines and text.
  • Richer color Add rich color diagramming by choosing from more than 16 million colors per document.
  • Transparency support Add depth to diagrams and create more realistic effects using transparent objects.
  • Scanner/digital camera interface Import images or photos directly from a scanner or digital camera.
  • Photo editing tools Crop or group, or change the fill, border, shadow, or transparency of an imported graphic.
  • Clip Organizer integration Annotate and add pizzazz to diagrams with images, sounds, and videos selected from tens of thousands of media items available through the Microsoft Office Clip Organizer (formerly Clip Gallery), available when Visio 2002 is installed alongside Microsoft Office XP.

Click to show or hide information. Customization for Microsoft Visio developers

The new XML file format, an extended object model, VBA enhancements, and support for COM add-ins are a few of the new features that can help you customize and extend Microsoft Visio solutions.

  • XML file format The new XML for Visio file format provides interoperability with other XML-enabled applications. It facilitates storage and exchange of diagram-based information, including data not associated with a page or shape.
  • Extended object model More than 90 new Automation properties and methods provide access to more Visio diagram data.
  • COM add-in support You can extend and enhance Visio programmatically through Component Object Model (COM) add-ins.
  • Digital signatures for VBA projects Microsoft Authenticode technology allows you to digitally sign the Microsoft Visual Basic for Applications (VBA) projects in their solutions using a digital certificate that identifies you as a trusted source.
  • Built-in VBA 6.3 You can extend and enhance Visio functionality using built-in Microsoft Visual Basic for Applications (VBA) 6.3.
  • Developing Visio Solutions This guide, which helps you develop custom Visio solutions, is now available on the Microsoft Visio Developer Center at http://msdn.microsoft.com/visio/.


What's New in Microsoft Visio Standard 2002

Click any of these items to learn about new and improved features in Microsoft Visio Standard 2002.

Click to show or hide information. New Visio features for Microsoft Office compatibility

Visio now includes Microsoft Office features that make it easier to use Visio with other programs in the Office product group.

  • New Office XP look and feel Menus include the same personalization options as Office XP applications. Visio also includes a Task Pane and an Office Search feature.
  • Common Office functions Visio provides common Office functions, such as built-in AutoCorrect features, Office spelling checker, keyboard shortcuts, Open, Save, and Save As dialog boxes.
  • Answer Wizard Help You can quickly find information about how to use Visio by typing natural language questions into the Answer Wizard Ask A Question box. A list of topics that most closely relate to each question appears. If none of the topics seem relevant, you can click a link to go directly to the Web to look for more help.
  • Reliability and data recovery tools The AutoRecover automatic backup system prevents loss of work and lets you easily recover diagrams in the event of unexpected problems.
  • In-place editing in Office applications When you edit Visio documents within Office applications, you have access to more Visio tools, which enable you to better update and revise diagrams from within Office documents.

Click to show or hide information. Easier project scheduling

Enhancements to the Microsoft Visio project scheduling solutions provide integration with other tools and promote productivity gains.

  • Integration with Microsoft Project You can import dates and tasks from Microsoft Project files into Gantt charts and timelines, which you can then publish or display.
  • Timeline/Gantt chart interoperability You can export information in a timeline to create a Gantt chart, and vice versa.
  • In-place task editing You can make changes to a task without having to retype the task.
  • New progress bars You can visualize your work better because Visio displays process status when importing data and laying out Gantt charts.
  • Improved timeline performance You can plan your schedule more easily because the Visio Timeline solution is faster and has a more intuitive milestone behavior.

Click to show or hide information. More flexible organization charts

Microsoft Visio gives you greater control over the appearance of organization charts and added flexibility in working with custom properties.

  • Intuitive layout behavior Organization chart shapes are positioned automatically when you drop them on a superior shape, but they maintain their original positions when you add more shapes.
  • Synchronization enhancements Changes you make to synchronized copies of organization chart text and custom properties behave in more intuitive ways, allowing you to change the formatting of duplicate entities and avoid unexpected deletions.
  • Multiple custom properties You can store and display an unlimited number of custom properties. You can also switch which properties are displayed after generating the diagram.

Click to show or hide information. Conversion of CAD drawings

With Microsoft Visio Standard, you can convert individual CAD objects into Visio shapes.

Click to show or hide information. Productivity improvements

Microsoft Visio has improved property reporting, enhanced search capabilities, and a streamlined Database Wizard that increase productivity.

  • Property Report Wizard Provides diagram-specific reports, and replaces several property reporting tools. Use report formats to export a wide range of diagram information to an XML file, a Web page, a Visio table shape, an Excel worksheet, or an embedded Excel shape.
  • Enhanced search capabilities Search within custom properties, shape names, and user-defined cells.
  • Simplified database connectivity In addition to the multi-step Database Wizard, Visio now has a single dialog box that provides clear options for establishing connectivity between shapes and ODBC-compliant data sources.
  • Auto-hide window docking Dock multiple auto-hide windows (such as Pan & Zoom and Drawing Explorer) in the stencil area, freeing work space and providing an unobstructed view of your diagram.

Click to show or hide information. Sharper-looking diagrams

Microsoft Visio has smoother-looking lines and text, richer colors, and new graphics-importing and enhancing tools that enable you to create more professional-looking diagrams.

  • Smoother graphics and text Make smoother-looking lines and text.
  • Richer color Add rich color diagramming by choosing from more than 16 million colors per document.
  • Transparency support Add depth to diagrams and create more realistic effects using transparent objects.
  • Scanner/digital camera interface Import images or photos directly from a scanner or digital camera.
  • Photo editing tools Crop or group, or change the fill, border, shadow, or transparency of an imported graphic.
  • Clip Organizer integration Annotate and add pizzazz to diagrams with images, sounds, and videos selected from tens of thousands of media items available through the Microsoft Office Clip Organizer (formerly Clip Gallery), available when Visio 2002 is installed alongside Office XP.

Click to show or hide information. Tight Web integration

Microsoft Web sites provide additional information that will help you use Visio more effectively. You can also turn your Microsoft Visio drawings into Web pages.

  • Find Shape feature You can extend your library of shapes without waiting for the next product release. The Find Shape feature provides local and Web-based shape storage capability.
  • Save as Web page You can publish Visio diagrams as Web pages with a property view that displays custom property data for shapes. Shapes can display multiple hyperlinks for enhanced navigation capabilities.
  • Automatic program updates The AutoUpdate utility can analyze your Visio installation, recommend needed updates, and make them immediately available for you to download and install. You can link to this utility from the Visio Web site.

Click to show or hide information. Customization for Microsoft Visio developers

The new XML file format, an extended object model, VBA enhancements, and support for COM add-ins are a few of the new features that can help you customize and extend Microsoft Visio solutions.

  • XML file format The new XML for Visio file format provides interoperability with other XML-enabled applications. It facilitates storage and exchange of diagram-based information, including data not associated with a page or shape.
  • Extended object model More than 90 new Automation properties and methods provide access to more Visio diagram data.
  • COM add-in support You can extend and enhance Visio programmatically through Component Object Model (COM) add-ins.
  • Digital signatures for VBA projects Microsoft Authenticode technology allows you to digitally sign the Microsoft Visual Basic for Applications (VBA) projects in their solutions using a digital certificate that identifies you as a trusted source.
  • Built-in VBA 6.3 You can extend and enhance Visio functionality using built-in Microsoft Visual Basic for Applications (VBA) 6.3.
  • Developing Visio Solutions This guide, which helps you develop custom Visio solutions, is now available on the Microsoft Visio Developer Center at http://msdn.microsoft.com/visio/.